Skip to main content
POST
/
{version}
/
specialties
Create specialty
curl --request POST \
  --url https://api.perscom.io/{version}/specialties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "abbreviation": "<string>",
  "description": "<string>",
  "order": 123
}
'
import requests

url = "https://api.perscom.io/{version}/specialties"

payload = {
"name": "<string>",
"abbreviation": "<string>",
"description": "<string>",
"order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
abbreviation: '<string>',
description: '<string>',
order: 123
})
};

fetch('https://api.perscom.io/{version}/specialties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "id": 123,
    "abbreviation": "<string>",
    "description": "<string>",
    "order": 123,
    "label": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
"type": "AuthenticationException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "A valid subscription is required to complete this request.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The [field] is [required|invalid|etc].",
"type": "ValidationException",
"errors": {
"email": [
"The email field is required.",
"The email must be a valid email address."
],
"password": [
"The password must be at least 8 characters.",
"The password must contain at least one uppercase letter."
]
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
"type": "ThrottleRequestsException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API is currently down for maintenance. Please check back later.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2

Query Parameters

include
enum<string>
Available options:
assignment_records,
assignment_records.*,
users

Body

application/json
name
string
required
abbreviation
string | null
description
string | null

Supports HTML.

order
integer

Will be auto-calculated if nothing is provided.

Response

OK

data
SpecialtyResource · object